summaryrefslogtreecommitdiff
path: root/libre/filesystem/filesystem.install
diff options
context:
space:
mode:
Diffstat (limited to 'libre/filesystem/filesystem.install')
-rw-r--r--libre/filesystem/filesystem.install4
1 files changed, 2 insertions, 2 deletions
diff --git a/libre/filesystem/filesystem.install b/libre/filesystem/filesystem.install
index 38d21a85b..8cef64bb6 100644
--- a/libre/filesystem/filesystem.install
+++ b/libre/filesystem/filesystem.install
@@ -10,14 +10,14 @@ post_install() {
# args: <group> [options]
_addgroup() {
- if ! getent group "$1"; then
+ if ! getent group "$1" >/dev/null; then
groupadd "$@" >/dev/null
fi
}
# args: <group> [options]
_adduser() {
- if ! getent passwd "$1"; then
+ if ! getent passwd "$1" >/dev/null; then
useradd "$@" >/dev/null
fi
}